Package com.ngrok.definitions

# Class EndpointOAuthFacebook.Builder

java.lang.Object
com.ngrok.definitions.EndpointOAuthFacebook.Builder

Enclosing class:
  EndpointOAuthFacebook

public static class EndpointOAuthFacebook.Builder extends Object
Builder class for `EndpointOAuthFacebook`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointOAuthFacebook`
  `build()`
  Constructs the `EndpointOAuthFacebook` instance.
  `EndpointOAuthFacebook.Builder`
  `clientId(String clientId)`
  the OAuth app client ID.
  `EndpointOAuthFacebook.Builder`
  `clientId(Optional<String> clientId)`
  the OAuth app client ID.
  `EndpointOAuthFacebook.Builder`
  `clientSecret(String clientSecret)`
  the OAuth app client secret.
  `EndpointOAuthFacebook.Builder`
  `clientSecret(Optional<String> clientSecret)`
  the OAuth app client secret.
  `EndpointOAuthFacebook.Builder`
  `emailAddresses(List<String> emailAddresses)`
  a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
  `EndpointOAuthFacebook.Builder`
  `emailAddresses(Optional<List<String>> emailAddresses)`
  a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
  `EndpointOAuthFacebook.Builder`
  `emailDomains(List<String> emailDomains)`
  a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
  `EndpointOAuthFacebook.Builder`
  `emailDomains(Optional<List<String>> emailDomains)`
  a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
  `EndpointOAuthFacebook.Builder`
  `scopes(List<String> scopes)`
  a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for.
  `EndpointOAuthFacebook.Builder`
  `scopes(Optional<List<String>> scopes)`
  a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### clientId

    public EndpointOAuthFacebook.Builder clientId(String clientId)
    the OAuth app client ID. retrieve it from the identity provider's dashboard where you created your own OAuth app. optional. if unspecified, ngrok will use its own managed oauth application which has additional restrictions. see the OAuth module docs for more details. if present, client_secret must be present as well.
    Parameters:
      `clientId` - the value of the `client_id` parameter as a `String`
    Returns:
      this builder instance

  - ### clientId

    public EndpointOAuthFacebook.Builder clientId(Optional<String> clientId)
    the OAuth app client ID. retrieve it from the identity provider's dashboard where you created your own OAuth app. optional. if unspecified, ngrok will use its own managed oauth application which has additional restrictions. see the OAuth module docs for more details. if present, client_secret must be present as well.
    Parameters:
      `clientId` - the value of the `client_id` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### clientSecret

    public EndpointOAuthFacebook.Builder clientSecret(String clientSecret)
    the OAuth app client secret. retrieve if from the identity provider's dashboard where you created your own OAuth app. optional, see all of the caveats in the docs for `client_id`.
    Parameters:
      `clientSecret` - the value of the `client_secret` parameter as a `String`
    Returns:
      this builder instance

  - ### clientSecret

    public EndpointOAuthFacebook.Builder clientSecret(Optional<String> clientSecret)
    the OAuth app client secret. retrieve if from the identity provider's dashboard where you created your own OAuth app. optional, see all of the caveats in the docs for `client_id`.
    Parameters:
      `clientSecret` - the value of the `client_secret` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### scopes

    public EndpointOAuthFacebook.Builder scopes(List<String> scopes)
    a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for. these may not be set if you are using the ngrok-managed oauth app (i.e. you must pass both `client_id` and `client_secret` to set scopes)
    Parameters:
      `scopes` - the value of the `scopes` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### scopes

    public EndpointOAuthFacebook.Builder scopes(Optional<List<String>> scopes)
    a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for. these may not be set if you are using the ngrok-managed oauth app (i.e. you must pass both `client_id` and `client_secret` to set scopes)
    Parameters:
      `scopes` - the value of the `scopes` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### emailAddresses

    public EndpointOAuthFacebook.Builder emailAddresses(List<String> emailAddresses)
    a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
    Parameters:
      `emailAddresses` - the value of the `email_addresses` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### emailAddresses

    public EndpointOAuthFacebook.Builder emailAddresses(Optional<List<String>> emailAddresses)
    a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
    Parameters:
      `emailAddresses` - the value of the `email_addresses` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### emailDomains

    public EndpointOAuthFacebook.Builder emailDomains(List<String> emailDomains)
    a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
    Parameters:
      `emailDomains` - the value of the `email_domains` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### emailDomains

    public EndpointOAuthFacebook.Builder emailDomains(Optional<List<String>> emailDomains)
    a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
    Parameters:
      `emailDomains` - the value of the `email_domains` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointOAuthFacebook build()
    Constructs the `EndpointOAuthFacebook` instance.
    Returns:
      a new `EndpointOAuthFacebook`